## org.eclipse.datatools.sqltools.plan.internal.util
Interface ILogger

All Known Implementing Classes:
  StatusLogger

    public interface ILogger

Interface for logger

Author:
  Li Huang

Method Summary
`void` `debug(java.lang.Object message)` This method should NOT be used since it doesn't use the resource bundle to localize the message.
`void` `debug(java.lang.Object message, java.lang.Throwable tt)` This method should NOT be used since it doesn't use the resource bundle to localize the message.
`void` `debug(java.lang.String key)` For debug logging with no arguments
`void` `debug(java.lang.String key, java.lang.Object arg0)` For debug logging with one argument
`void` `debug(java.lang.String key, java.lang.Object[] args)` For debug logging methods where the number of args is greater than the methods provided.
`void` `debug(java.lang.String key, java.lang.Object[] args, java.lang.Throwable tt)` For debug logging methods where the number of args is greater than the methods provided.
`void` `debug(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1)` For debug logging with 2 arguments
`void` `debug(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2)` For debug logging with 3 arguments
`void` `debug(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)` For debug logging with 4 arguments
`void` `debug(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)` For debug logging with 5 arguments
`void` `debug(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4, java.lang.Throwable tt)` For debug logging with 5 arguments and a stack trace
`void` `debug(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Throwable tt)` For debug logging with 4 arguments and a stack trace
`void` `debug(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Throwable tt)` For debug logging with 3 arguments and a stack trace
`void` `debug(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Throwable tt)` For debug logging with 2 arguments and a stack trace
`void` `debug(java.lang.String key, java.lang.Object arg0, java.lang.Throwable tt)` For debug logging with one argument and a stack trace
`void` `debug(java.lang.String key, java.lang.Throwable tt)` For debug logging with no arguments but a stack trace
`void` `debugStr(java.lang.String str)`
`void` `error(java.lang.Object message)`
`void` `error(java.lang.Object message, java.lang.Throwable tt)` This method should NOT be used since it doesn't use the resource bundle to localize the message.
`void` `error(java.lang.String key)` For error logging with no arguments
`void` `error(java.lang.String key, java.lang.Object arg0)` For error logging with one argument
`void` `error(java.lang.String key, java.lang.Object[] args)` For error logging methods where the number of args is greater than the methods provided.
`void` `error(java.lang.String key, java.lang.Object[] args, java.lang.Throwable tt)` For error logging methods where the number of args is greater than the methods provided.
`void` `error(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1)` For error logging with 2 arguments
`void` `error(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2)` For error logging with 3 arguments
`void` `error(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)` For error logging with 4 arguments
`void` `error(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)` For error logging with 5 arguments
`void` `error(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4, java.lang.Throwable tt)` For error logging with 5 arguments and a stack trace
`void` `error(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Throwable tt)` For error logging with 4 arguments and a stack trace
`void` `error(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Throwable tt)` For error logging with 3 arguments and a stack trace
`void` `error(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Throwable tt)` For error logging with 2 arguments and a stack trace
`void` `error(java.lang.String key, java.lang.Object arg0, java.lang.Throwable tt)` For error logging with one argument and a stack trace
`void` `error(java.lang.String key, java.lang.Throwable tt)` For error logging with no arguments but a stack trace
`void` `fatal(java.lang.Object message)`
`void` `fatal(java.lang.Object message, java.lang.Throwable tt)` This method should NOT be used since it doesn't use the resource bundle to localize the message.
`void` `fatal(java.lang.String key)` For fatal logging with no arguments
`void` `fatal(java.lang.String key, java.lang.Object arg0)` For fatal logging with one argument
`void` `fatal(java.lang.String key, java.lang.Object[] args)` For fatal logging methods where the number of args is greater than the methods provided.
`void` `fatal(java.lang.String key, java.lang.Object[] args, java.lang.Throwable tt)` For fatal logging methods where the number of args is greater than the methods provided.
`void` `fatal(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1)` For fatal logging with 2 arguments
`void` `fatal(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2)` For fatal logging with 3 arguments
`void` `fatal(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)` For fatal logging with 4 arguments
`void` `fatal(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)` For fatal logging with 5 arguments
`void` `fatal(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4, java.lang.Throwable tt)` For fatal logging with 5 arguments and a stack trace
`void` `fatal(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Throwable tt)` For fatal logging with 4 arguments and a stack trace
`void` `fatal(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Throwable tt)` For fatal logging with 3 arguments and a stack trace
`void` `fatal(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Throwable tt)` For fatal logging with 2 arguments and a stack trace
`void` `fatal(java.lang.String key, java.lang.Object arg0, java.lang.Throwable tt)` For fatal logging with one argument and a stack trace
`void` `fatal(java.lang.String key, java.lang.Throwable tt)` For fatal logging with no arguments but a stack trace
`void` `info(java.lang.Object message)` This method should NOT be used since it doesn't use the resource bundle to localize the message.
`void` `info(java.lang.Object message, java.lang.Throwable tt)` This method should NOT be used since it doesn't use the resource bundle to localize the message.
`void` `info(java.lang.String key)` For info logging with no arguments
`void` `info(java.lang.String key, java.lang.Object arg0)` For info logging with one argument
`void` `info(java.lang.String key, java.lang.Object[] args)` For info logging methods where the number of args is greater than the methods provided.
`void` `info(java.lang.String key, java.lang.Object[] args, java.lang.Throwable tt)` For info logging methods where the number of args is greater than the methods provided.
`void` `info(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1)` For info logging with 2 arguments
`void` `info(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2)` For info logging with 3 arguments
`void` `info(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)` For info logging with 4 arguments
`void` `info(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)` For info logging with 5 arguments
`void` `info(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4, java.lang.Throwable tt)` For info logging with 5 arguments and a stack trace
`void` `info(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Throwable tt)` For info logging with 4 arguments and a stack trace
`void` `info(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Throwable tt)` For info logging with 3 arguments and a stack trace
`void` `info(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Throwable tt)` For info logging with 2 arguments and a stack trace
`void` `info(java.lang.String key, java.lang.Object arg0, java.lang.Throwable tt)` For info logging with one argument and a stack trace
`void` `info(java.lang.String key, java.lang.Throwable tt)` For info logging with no arguments but a stack trace
`void` `warn(java.lang.Object message)`
`void` `warn(java.lang.Object message, java.lang.Throwable tt)` This method should NOT be used since it doesn't use the resource bundle to localize the message.
`void` `warn(java.lang.String key)` For warn logging with no arguments
`void` `warn(java.lang.String key, java.lang.Object arg0)` For warn logging with one argument
`void` `warn(java.lang.String key, java.lang.Object[] args)` For warn logging methods where the number of args is greater than the methods provided.
`void` `warn(java.lang.String key, java.lang.Object[] args, java.lang.Throwable tt)` For warn logging methods where the number of args is greater than the methods provided.
`void` `warn(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1)` For warn logging with 2 arguments
`void` `warn(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2)` For warn logging with 3 arguments
`void` `warn(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3)` For warn logging with 4 arguments
`void` `warn(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4)` For warn logging with 5 arguments
`void` `warn(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Object arg4, java.lang.Throwable tt)` For warn logging with 5 arguments and a stack trace
`void` `warn(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Object arg3, java.lang.Throwable tt)` For warn logging with 4 arguments and a stack trace
`void` `warn(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Object arg2, java.lang.Throwable tt)` For warn logging with 3 arguments and a stack trace
`void` `warn(java.lang.String key, java.lang.Object arg0, java.lang.Object arg1, java.lang.Throwable tt)` For warn logging with 2 arguments and a stack trace
`void` `warn(java.lang.String key, java.lang.Object arg0, java.lang.Throwable tt)` For warn logging with one argument and a stack trace
`void` `warn(java.lang.String key, java.lang.Throwable tt)` For warn logging with no arguments but a stack trace

Method Detail

### fatal

    void fatal(java.lang.Object message)

### fatal

    void fatal(java.lang.Object message,
               java.lang.Throwable tt)

  This method should NOT be used since it doesn't use the resource bundle to localize the message. It is provided here as a case when a resource bundle can't be used.

### fatal

    void fatal(java.lang.String key)

  For fatal logging with no arguments

### fatal

    void fatal(java.lang.String key,
               java.lang.Throwable tt)

  For fatal logging with no arguments but a stack trace

### fatal

    void fatal(java.lang.String key,
               java.lang.Object arg0)

  For fatal logging with one argument

### fatal

    void fatal(java.lang.String key,
               java.lang.Object arg0,
               java.lang.Throwable tt)

  For fatal logging with one argument and a stack trace

### fatal

    void fatal(java.lang.String key,
               java.lang.Object arg0,
               java.lang.Object arg1)

  For fatal logging with 2 arguments

### fatal

    void fatal(java.lang.String key,
               java.lang.Object arg0,
               java.lang.Object arg1,
               java.lang.Throwable tt)

  For fatal logging with 2 arguments and a stack trace

### fatal

    void fatal(java.lang.String key,
               java.lang.Object arg0,
               java.lang.Object arg1,
               java.lang.Object arg2)

  For fatal logging with 3 arguments

### fatal

    void fatal(java.lang.String key,
               java.lang.Object arg0,
               java.lang.Object arg1,
               java.lang.Object arg2,
               java.lang.Throwable tt)

  For fatal logging with 3 arguments and a stack trace

### fatal

    void fatal(java.lang.String key,
               java.lang.Object arg0,
               java.lang.Object arg1,
               java.lang.Object arg2,
               java.lang.Object arg3)

  For fatal logging with 4 arguments

### fatal

    void fatal(java.lang.String key,
               java.lang.Object arg0,
               java.lang.Object arg1,
               java.lang.Object arg2,
               java.lang.Object arg3,
               java.lang.Throwable tt)

  For fatal logging with 4 arguments and a stack trace

### fatal

    void fatal(java.lang.String key,
               java.lang.Object arg0,
               java.lang.Object arg1,
               java.lang.Object arg2,
               java.lang.Object arg3,
               java.lang.Object arg4)

  For fatal logging with 5 arguments

### fatal

    void fatal(java.lang.String key,
               java.lang.Object arg0,
               java.lang.Object arg1,
               java.lang.Object arg2,
               java.lang.Object arg3,
               java.lang.Object arg4,
               java.lang.Throwable tt)

  For fatal logging with 5 arguments and a stack trace

### fatal

    void fatal(java.lang.String key,
               java.lang.Object[] args)

  For fatal logging methods where the number of args is greater than the methods provided.

### fatal

    void fatal(java.lang.String key,
               java.lang.Object[] args,
               java.lang.Throwable tt)

  For fatal logging methods where the number of args is greater than the methods provided.

### error

    void error(java.lang.Object message)

### error

    void error(java.lang.Object message,
               java.lang.Throwable tt)

  This method should NOT be used since it doesn't use the resource bundle to localize the message. It is provided here as a case when a resource bundle can't be used.

### error

    void error(java.lang.String key)

  For error logging with no arguments

### error

    void error(java.lang.String key,
               java.lang.Throwable tt)

  For error logging with no arguments but a stack trace

### error

    void error(java.lang.String key,
               java.lang.Object arg0)

  For error logging with one argument

### error

    void error(java.lang.String key,
               java.lang.Object arg0,
               java.lang.Throwable tt)

  For error logging with one argument and a stack trace

### error

    void error(java.lang.String key,
               java.lang.Object arg0,
               java.lang.Object arg1)

  For error logging with 2 arguments

### error

    void error(java.lang.String key,
               java.lang.Object arg0,
               java.lang.Object arg1,
               java.lang.Throwable tt)

  For error logging with 2 arguments and a stack trace

### error

    void error(java.lang.String key,
               java.lang.Object arg0,
               java.lang.Object arg1,
               java.lang.Object arg2)

  For error logging with 3 arguments

### error

    void error(java.lang.String key,
               java.lang.Object arg0,
               java.lang.Object arg1,
               java.lang.Object arg2,
               java.lang.Throwable tt)

  For error logging with 3 arguments and a stack trace

### error

    void error(java.lang.String key,
               java.lang.Object arg0,
               java.lang.Object arg1,
               java.lang.Object arg2,
               java.lang.Object arg3)

  For error logging with 4 arguments

### error

    void error(java.lang.String key,
               java.lang.Object arg0,
               java.lang.Object arg1,
               java.lang.Object arg2,
               java.lang.Object arg3,
               java.lang.Throwable tt)

  For error logging with 4 arguments and a stack trace

### error

    void error(java.lang.String key,
               java.lang.Object arg0,
               java.lang.Object arg1,
               java.lang.Object arg2,
               java.lang.Object arg3,
               java.lang.Object arg4)

  For error logging with 5 arguments

### error

    void error(java.lang.String key,
               java.lang.Object arg0,
               java.lang.Object arg1,
               java.lang.Object arg2,
               java.lang.Object arg3,
               java.lang.Object arg4,
               java.lang.Throwable tt)

  For error logging with 5 arguments and a stack trace

### error

    void error(java.lang.String key,
               java.lang.Object[] args)

  For error logging methods where the number of args is greater than the methods provided.

### error

    void error(java.lang.String key,
               java.lang.Object[] args,
               java.lang.Throwable tt)

  For error logging methods where the number of args is greater than the methods provided.

### warn

    void warn(java.lang.Object message)

### warn

    void warn(java.lang.Object message,
              java.lang.Throwable tt)

  This method should NOT be used since it doesn't use the resource bundle to localize the message. It is provided here as a case when a resource bundle can't be used.

### warn

    void warn(java.lang.String key)

  For warn logging with no arguments

### warn

    void warn(java.lang.String key,
              java.lang.Throwable tt)

  For warn logging with no arguments but a stack trace

### warn

    void warn(java.lang.String key,
              java.lang.Object arg0)

  For warn logging with one argument

### warn

    void warn(java.lang.String key,
              java.lang.Object arg0,
              java.lang.Throwable tt)

  For warn logging with one argument and a stack trace

### warn

    void warn(java.lang.String key,
              java.lang.Object arg0,
              java.lang.Object arg1)

  For warn logging with 2 arguments

### warn

    void warn(java.lang.String key,
              java.lang.Object arg0,
              java.lang.Object arg1,
              java.lang.Throwable tt)

  For warn logging with 2 arguments and a stack trace

### warn

    void warn(java.lang.String key,
              java.lang.Object arg0,
              java.lang.Object arg1,
              java.lang.Object arg2)

  For warn logging with 3 arguments

### warn

    void warn(java.lang.String key,
              java.lang.Object arg0,
              java.lang.Object arg1,
              java.lang.Object arg2,
              java.lang.Throwable tt)

  For warn logging with 3 arguments and a stack trace

### warn

    void warn(java.lang.String key,
              java.lang.Object arg0,
              java.lang.Object arg1,
              java.lang.Object arg2,
              java.lang.Object arg3)

  For warn logging with 4 arguments

### warn

    void warn(java.lang.String key,
              java.lang.Object arg0,
              java.lang.Object arg1,
              java.lang.Object arg2,
              java.lang.Object arg3,
              java.lang.Throwable tt)

  For warn logging with 4 arguments and a stack trace

### warn

    void warn(java.lang.String key,
              java.lang.Object arg0,
              java.lang.Object arg1,
              java.lang.Object arg2,
              java.lang.Object arg3,
              java.lang.Object arg4)

  For warn logging with 5 arguments

### warn

    void warn(java.lang.String key,
              java.lang.Object arg0,
              java.lang.Object arg1,
              java.lang.Object arg2,
              java.lang.Object arg3,
              java.lang.Object arg4,
              java.lang.Throwable tt)

  For warn logging with 5 arguments and a stack trace

### warn

    void warn(java.lang.String key,
              java.lang.Object[] args)

  For warn logging methods where the number of args is greater than the methods provided.

### warn

    void warn(java.lang.String key,
              java.lang.Object[] args,
              java.lang.Throwable tt)

  For warn logging methods where the number of args is greater than the methods provided.

### info

    void info(java.lang.Object message)

  This method should NOT be used since it doesn't use the resource bundle to localize the message. It is provided here as a case when a resource bundle can't be used.

### info

    void info(java.lang.Object message,
              java.lang.Throwable tt)

  This method should NOT be used since it doesn't use the resource bundle to localize the message. It is provided here as a case when a resource bundle can't be used.

### info

    void info(java.lang.String key)

  For info logging with no arguments

### info

    void info(java.lang.String key,
              java.lang.Throwable tt)

  For info logging with no arguments but a stack trace

### info

    void info(java.lang.String key,
              java.lang.Object arg0)

  For info logging with one argument

### info

    void info(java.lang.String key,
              java.lang.Object arg0,
              java.lang.Throwable tt)

  For info logging with one argument and a stack trace

### info

    void info(java.lang.String key,
              java.lang.Object arg0,
              java.lang.Object arg1)

  For info logging with 2 arguments

### info

    void info(java.lang.String key,
              java.lang.Object arg0,
              java.lang.Object arg1,
              java.lang.Throwable tt)

  For info logging with 2 arguments and a stack trace

### info

    void info(java.lang.String key,
              java.lang.Object arg0,
              java.lang.Object arg1,
              java.lang.Object arg2)

  For info logging with 3 arguments

### info

    void info(java.lang.String key,
              java.lang.Object arg0,
              java.lang.Object arg1,
              java.lang.Object arg2,
              java.lang.Throwable tt)

  For info logging with 3 arguments and a stack trace

### info

    void info(java.lang.String key,
              java.lang.Object arg0,
              java.lang.Object arg1,
              java.lang.Object arg2,
              java.lang.Object arg3)

  For info logging with 4 arguments

### info

    void info(java.lang.String key,
              java.lang.Object arg0,
              java.lang.Object arg1,
              java.lang.Object arg2,
              java.lang.Object arg3,
              java.lang.Throwable tt)

  For info logging with 4 arguments and a stack trace

### info

    void info(java.lang.String key,
              java.lang.Object arg0,
              java.lang.Object arg1,
              java.lang.Object arg2,
              java.lang.Object arg3,
              java.lang.Object arg4)

  For info logging with 5 arguments

### info

    void info(java.lang.String key,
              java.lang.Object arg0,
              java.lang.Object arg1,
              java.lang.Object arg2,
              java.lang.Object arg3,
              java.lang.Object arg4,
              java.lang.Throwable tt)

  For info logging with 5 arguments and a stack trace

### info

    void info(java.lang.String key,
              java.lang.Object[] args)

  For info logging methods where the number of args is greater than the methods provided.

### info

    void info(java.lang.String key,
              java.lang.Object[] args,
              java.lang.Throwable tt)

  For info logging methods where the number of args is greater than the methods provided.

### debug

    void debug(java.lang.Object message)

  This method should NOT be used since it doesn't use the resource bundle to localize the message. It is provided here as a case when a resource bundle can't be used.

### debug

    void debug(java.lang.Object message,
               java.lang.Throwable tt)

  This method should NOT be used since it doesn't use the resource bundle to localize the message. It is provided here as a case when a resource bundle can't be used.

### debug

    void debug(java.lang.String key)

  For debug logging with no arguments

### debug

    void debug(java.lang.String key,
               java.lang.Throwable tt)

  For debug logging with no arguments but a stack trace

### debug

    void debug(java.lang.String key,
               java.lang.Object arg0)

  For debug logging with one argument

### debug

    void debug(java.lang.String key,
               java.lang.Object arg0,
               java.lang.Throwable tt)

  For debug logging with one argument and a stack trace

### debug

    void debug(java.lang.String key,
               java.lang.Object arg0,
               java.lang.Object arg1)

  For debug logging with 2 arguments

### debug

    void debug(java.lang.String key,
               java.lang.Object arg0,
               java.lang.Object arg1,
               java.lang.Throwable tt)

  For debug logging with 2 arguments and a stack trace

### debug

    void debug(java.lang.String key,
               java.lang.Object arg0,
               java.lang.Object arg1,
               java.lang.Object arg2)

  For debug logging with 3 arguments

### debug

    void debug(java.lang.String key,
               java.lang.Object arg0,
               java.lang.Object arg1,
               java.lang.Object arg2,
               java.lang.Throwable tt)

  For debug logging with 3 arguments and a stack trace

### debug

    void debug(java.lang.String key,
               java.lang.Object arg0,
               java.lang.Object arg1,
               java.lang.Object arg2,
               java.lang.Object arg3)

  For debug logging with 4 arguments

### debug

    void debug(java.lang.String key,
               java.lang.Object arg0,
               java.lang.Object arg1,
               java.lang.Object arg2,
               java.lang.Object arg3,
               java.lang.Throwable tt)

  For debug logging with 4 arguments and a stack trace

### debug

    void debug(java.lang.String key,
               java.lang.Object arg0,
               java.lang.Object arg1,
               java.lang.Object arg2,
               java.lang.Object arg3,
               java.lang.Object arg4)

  For debug logging with 5 arguments

### debug

    void debug(java.lang.String key,
               java.lang.Object arg0,
               java.lang.Object arg1,
               java.lang.Object arg2,
               java.lang.Object arg3,
               java.lang.Object arg4,
               java.lang.Throwable tt)

  For debug logging with 5 arguments and a stack trace

### debug

    void debug(java.lang.String key,
               java.lang.Object[] args)

  For debug logging methods where the number of args is greater than the methods provided.

### debug

    void debug(java.lang.String key,
               java.lang.Object[] args,
               java.lang.Throwable tt)

  For debug logging methods where the number of args is greater than the methods provided.

### debugStr

    void debugStr(java.lang.String str)